Uses of Record Class
org.a2aproject.sdk.spec.TaskQueryParams
Packages that use TaskQueryParams
Package
Description
Common OpenTelemetry utilities and shared components for A2A Java SDK.
JSON-RPC 2.0 protocol message wrappers for the A2A Protocol.
JSON processing exceptions for the A2A Java SDK.
-
Uses of TaskQueryParams in org.a2aproject.sdk.client
Methods in org.a2aproject.sdk.client with parameters of type TaskQueryParamsModifier and TypeMethodDescriptionAbstractClient.getTask(TaskQueryParams request) Retrieve the current state and history of a specific task.abstract TaskAbstractClient.getTask(TaskQueryParams request, @Nullable ClientCallContext context) Retrieve the current state and history of a specific task.Client.getTask(TaskQueryParams request, @Nullable ClientCallContext context) Retrieve a specific task by ID. -
Uses of TaskQueryParams in org.a2aproject.sdk.client.transport.grpc
Methods in org.a2aproject.sdk.client.transport.grpc with parameters of type TaskQueryParamsModifier and TypeMethodDescriptionGrpcTransport.getTask(TaskQueryParams request, @Nullable ClientCallContext context) -
Uses of TaskQueryParams in org.a2aproject.sdk.client.transport.jsonrpc
Methods in org.a2aproject.sdk.client.transport.jsonrpc with parameters of type TaskQueryParamsModifier and TypeMethodDescriptionJSONRPCTransport.getTask(TaskQueryParams request, @Nullable ClientCallContext context) -
Uses of TaskQueryParams in org.a2aproject.sdk.client.transport.rest
Methods in org.a2aproject.sdk.client.transport.rest with parameters of type TaskQueryParamsModifier and TypeMethodDescriptionRestTransport.getTask(TaskQueryParams taskQueryParams, @Nullable ClientCallContext context) -
Uses of TaskQueryParams in org.a2aproject.sdk.client.transport.spi
Methods in org.a2aproject.sdk.client.transport.spi with parameters of type TaskQueryParamsModifier and TypeMethodDescriptionClientTransport.getTask(TaskQueryParams request, @Nullable ClientCallContext context) Retrieve the current state and history of a specific task. -
Uses of TaskQueryParams in org.a2aproject.sdk.compat03.conversion.mappers.params
Methods in org.a2aproject.sdk.compat03.conversion.mappers.params that return TaskQueryParamsModifier and TypeMethodDescriptiondefault TaskQueryParamsTaskQueryParamsMapper_v0_3.toV10(TaskQueryParams_v0_3 v03) Converts v0.3TaskQueryParamsto v1.0TaskQueryParams.Methods in org.a2aproject.sdk.compat03.conversion.mappers.params with parameters of type TaskQueryParamsModifier and TypeMethodDescriptiondefault TaskQueryParams_v0_3TaskQueryParamsMapper_v0_3.fromV10(TaskQueryParams v10) Converts v1.0TaskQueryParamsto v0.3TaskQueryParams. -
Uses of TaskQueryParams in org.a2aproject.sdk.extras.opentelemetry
Methods in org.a2aproject.sdk.extras.opentelemetry with parameters of type TaskQueryParamsModifier and TypeMethodDescriptionOpenTelemetryRequestHandlerDecorator.onGetTask(TaskQueryParams params, ServerCallContext context) -
Uses of TaskQueryParams in org.a2aproject.sdk.extras.opentelemetry.client
Methods in org.a2aproject.sdk.extras.opentelemetry.client with parameters of type TaskQueryParamsModifier and TypeMethodDescriptionOpenTelemetryClientTransport.getTask(TaskQueryParams request, @Nullable ClientCallContext context) -
Uses of TaskQueryParams in org.a2aproject.sdk.extras.opentelemetry.client.propagation
Methods in org.a2aproject.sdk.extras.opentelemetry.client.propagation with parameters of type TaskQueryParamsModifier and TypeMethodDescriptionOpenTelemetryClientPropagatorTransport.getTask(TaskQueryParams request, @Nullable ClientCallContext context) -
Uses of TaskQueryParams in org.a2aproject.sdk.grpc.mapper
Methods in org.a2aproject.sdk.grpc.mapper that return TaskQueryParamsModifier and TypeMethodDescriptionTaskQueryParamsMapper.fromProto(GetTaskRequest proto) Converts proto GetTaskRequest to domain TaskQueryParams.TaskQueryParamsMapperImpl.fromProto(GetTaskRequest proto) Methods in org.a2aproject.sdk.grpc.mapper with parameters of type TaskQueryParamsModifier and TypeMethodDescriptionTaskQueryParamsMapper.toProto(TaskQueryParams domain) TaskQueryParamsMapperImpl.toProto(TaskQueryParams domain) -
Uses of TaskQueryParams in org.a2aproject.sdk.grpc.utils
Methods in org.a2aproject.sdk.grpc.utils that return TaskQueryParamsModifier and TypeMethodDescriptionstatic TaskQueryParamsProtoUtils.FromProto.taskQueryParams(GetTaskRequestOrBuilder request) Methods in org.a2aproject.sdk.grpc.utils with parameters of type TaskQueryParamsModifier and TypeMethodDescriptionstatic GetTaskRequestProtoUtils.ToProto.getTaskRequest(TaskQueryParams params) -
Uses of TaskQueryParams in org.a2aproject.sdk.jsonrpc.common.wrappers
Methods in org.a2aproject.sdk.jsonrpc.common.wrappers with parameters of type TaskQueryParamsModifier and TypeMethodDescriptionGetTaskRequest.Builder.params(TaskQueryParams params) Sets the request parameters.Constructors in org.a2aproject.sdk.jsonrpc.common.wrappers with parameters of type TaskQueryParamsModifierConstructorDescriptionGetTaskRequest(Object id, TaskQueryParams params) Constructs request with ID and parameters.GetTaskRequest(String jsonrpc, Object id, TaskQueryParams params) Constructs request with all parameters. -
Uses of TaskQueryParams in org.a2aproject.sdk.server.requesthandlers
Methods in org.a2aproject.sdk.server.requesthandlers with parameters of type TaskQueryParamsModifier and TypeMethodDescriptionAuthorizationRequestHandlerDecorator.onGetTask(TaskQueryParams params, ServerCallContext context) DefaultRequestHandler.onGetTask(TaskQueryParams params, ServerCallContext context) RequestHandler.onGetTask(TaskQueryParams params, ServerCallContext context) -
Uses of TaskQueryParams in org.a2aproject.sdk.spec
Methods in org.a2aproject.sdk.spec that return TaskQueryParams